Açıklama Yok

123456789101112131415161718192021222324252627
  1. #! /bin/bash
  2. # Node installed?
  3. if ! [ -x "$(command -v node)" ]; then
  4. echo 'Error: node is not installed.' >&2
  5. if ! [ -x "$(command -v brew)" ]; then
  6. echo 'Go here to install: https://nodejs.org/en/download/'
  7. fi
  8. if [ -x "$(command -v brew)" ]; then
  9. echo 'You have Homebrew installed, so run "brew install node".'
  10. fi
  11. exit 1
  12. fi
  13. # React Native installed?
  14. if ! [ -x "$(command -v react-native)" ]; then
  15. echo 'Error: React Native is not installed.' >&2
  16. echo 'Go here: https://reactnative.dev/docs/getting-started.html' >&2
  17. echo 'Use the "Building Projects With Native Code" option.'
  18. exit 1
  19. fi
  20. # TODO: Automate setup on new machines